Child class of "FormatterElement", overrides setType to provide other formatter classes for SimpleTest

author | Michiel Rook
version | $Id: 2441f1b83b9f9d1aeb2a4afd7e049c840d70bbd9 $
package | phing.tasks.ext.simpletest
since | 2.2.0

### Methods

## Returns extension

    getExtension() : string

Inherited

inherited_from | \FormatterElement::getExtension()

### Returns

`string`

## Returns formatter object

    getFormatter() : \PHPUnitResultFormatter

Inherited

inherited_from | \FormatterElement::getFormatter()

### Returns

`\PHPUnitResultFormatter`

## Returns output filename

    getOutfile() : string

Inherited

inherited_from | \FormatterElement::getOutfile()

### Returns

`string`

## Returns output directory

    getToDir() : string

Inherited

inherited_from | \FormatterElement::getToDir()

### Returns

`string`

## Returns whether to store formatting results in a file

    getUseFile()

Inherited

inherited_from | \FormatterElement::getUseFile()

## Loads a specific formatter class

    setClassName($className)

Inherited

inherited_from | \FormatterElement::setClassName()

### Parameters

#### $className

## Sets output filename

    setOutfile(string $outfile)

Inherited

inherited_from | \FormatterElement::setOutfile()

### Parameters

#### $outfile

`string`

## Sets parent task

    setParent(\Task $parent)

Inherited

inherited_from | \FormatterElement::setParent()

### Parameters

#### $parent

`\Task`

Calling Task

## Sets output directory

    setToDir(string $toDir)

Inherited

inherited_from | \FormatterElement::setToDir()

### Parameters

#### $toDir

`string`

## Loads a specific formatter type

    setType(string $type)

### Parameters

#### $type

`string`

## Sets whether to store formatting results in a file

    setUseFile($useFile)

Inherited

inherited_from | \FormatterElement::setUseFile()

### Parameters

#### $useFile

### Properties

##

    $formatter

Inherited

inherited_from | \FormatterElement::$$formatter

##

    $outfile

Inherited

inherited_from | \FormatterElement::$$outfile

##

    $parent

Inherited

inherited_from | \FormatterElement::$$parent

##

    $toDir

Inherited

inherited_from | \FormatterElement::$$toDir

##

    $type

Inherited

inherited_from | \FormatterElement::$$type

##

    $useFile

Inherited

inherited_from | \FormatterElement::$$useFile